Freeciv-3.2: generate_packets.StringType Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes
generate_packets.StringType Class Reference
Inheritance diagram for generate_packets.StringType:

## Public Member Functions

| __init__ (self, str dataio_type, str public_type, SizeInfo size)
str | get_code_fill (self, Location location)
str | get_code_cmp (self, Location location)
str | get_code_get (self, Location location, bool deep_diff=False)
Public Member Functions inherited from generate_packets.SizedType
str | get_code_declaration (self, Location location)
str | get_code_handle_param (self, Location location)
str | __str__ (self)
Public Member Functions inherited from generate_packets.BasicType
str | get_code_hash (self, Location location)
str | get_code_put (self, Location location, bool deep_diff=False)
Public Member Functions inherited from generate_packets.FieldType
"FieldType" | array (self, SizeInfo size)
str | get_code_handle_arg (self, Location location)
Public Member Functions inherited from generate_packets.RawFieldType
str | __repr__ (self)

## Static Public Attributes

| NeedSizeType
| cls
Static Public Attributes inherited from generate_packets.FieldType
bool | foldable = False

## Additional Inherited Members

Data Fields inherited from generate_packets.SizedType
| size
Data Fields inherited from generate_packets.BasicType
| dataio_type
| public_type

## Detailed Description

    Type information for a string field

Definition at line 1034 of file generate_packets.py.

## Constructor & Destructor Documentation

## ◆ __init__()

generate_packets.StringType.__init__ | ( |  | self,
|  | str | dataio_type,
|  | str | public_type,
|  | SizeInfo | size
| ) |  |

Reimplemented from generate_packets.SizedType.

Definition at line 1037 of file generate_packets.py.

## Member Function Documentation

## ◆ get_code_cmp()

str generate_packets.StringType.get_code_cmp | ( |  | self,
|  | Location | location
| ) |  |

    Generate a code snippet comparing a field of this type between
    the `old` and `real_packet` and setting `differ` accordingly.

Reimplemented from generate_packets.BasicType.

Definition at line 1051 of file generate_packets.py.

## ◆ get_code_fill()

str generate_packets.StringType.get_code_fill | ( |  | self,
|  | Location | location
| ) |  |

    Generate a code snippet moving a value of this type from dsend
    arguments into a packet struct.

Reimplemented from generate_packets.SizedType.

Definition at line 1046 of file generate_packets.py.

## ◆ get_code_get()

str generate_packets.StringType.get_code_get | ( |  | self,
|  | Location | location,
|  | bool | deep_diff = `False`
| ) |  |

    Generate a code snippet reading a field of this type from the
    dataio stream.

Reimplemented from generate_packets.BasicType.

Definition at line 1056 of file generate_packets.py.

## Field Documentation

## ◆ cls

generate_packets.StringType.cls

static

Definition at line 1063 of file generate_packets.py.

## ◆ NeedSizeType

generate_packets.StringType.NeedSizeType

static

Definition at line 1063 of file generate_packets.py.